Database credentials

Couldn't connect to database, please provide valid credentials.

:

:

:

MySQL or MariaBD Database Properties

Nothing to display.

Test sending e-mails

:

Server Information

Operating SystemLinux
Web Servernginx/1.2.1
Server Signatureoff

Server Properties

Disk Spacegood2.63 GBYou have more than 251 megs of free disk space. Tiki will run nicely, but you may run into issues when your site grows (e.g. file uploads) When the disk runs full you will not be able to log into your Tiki any more. We can not reliably check for quotas, so be warned that if your server makes use of them you might have less disk space available.

Apache properties

You are either not running the preferred Apache web server or you are running PHP with a SAPI that does not allow checking Apache properties (e.g. CGI or FPM).

IIS properties

You are not running IIS web server.

PHP scripting language properties

Error reportinginfoDisabledYou will get no errors reported, because display_errors is turned off. This might be the right thing for a production site, but in case of problems enable it in php.ini to get more information. Your error_reporting level is decent at 22527.
ini_setgoodEnabledini_set is used in some places to accomodate for special needs of some Tiki features.
DB DrivergoodPDOThe PDO extension is the suggested database driver/abstraction layer.
PHP versiongood5.5.13-1~dotdeb.1You have a recent version of PHP and you can run any supported versions of Tiki.
PHP Server APIinfofpm-fcgiYou are running PHP using FPM (Fastcgi Process Manager). Feel free to use a threaded Apache MPM to increase performance.
ByteCode CachegoodOPcacheYou are using OPcache as your ByteCode Cache which increases performance, if correctly configured. See Admin->Performance in your Tiki for more details.
memory_limitgood512MYour memory_limit is at 512M. This is known to behave well even for bigger sites.
session.save_handlergoodfilesWell set! the default setting of 'files' is needed for Tiki.
zlib.output_compressioninfoOnYou have zlib output compression turned on. This saves bandwidth. Turning it off would in turn reduce CPU usage. Choose your poison.
register_globalsgoodOffWell set! And you are future proof also as register_globals is deprecated.
safe_modegoodOffWell set! And you are future proof also as safe_mode is deprecated.
magic_quotes_gpcgoodOffWell set! Some features like assigning perms to a group with a name containing a quote will not work with this being on. And you are future proof also as magic_quotes_gpc is deprecated.
default_charsetgoodutf-8Well set! Tiki is fully UTF-8 and so should your installation be.
date.timezonegoodEurope/AmsterdamWell done! Having a timezone set protects you from many weird errors.
file_uploadsgoodOnYou can upload files to your Tiki.
max_execution_timeugly180sYour max_execution_time is at 180. This is not necessarily bad, but it's a good idea to limit this time on productions servers in order to eliminate unexpectedly long running scripts.
max_input_timeugly360sYour max_input_time is at 360. This is not necessarily bad, but it's a good idea to limit this time on productions servers in order to eliminate unexpectedly long running scripts.
upload_max_filesizegood80MYour upload_max_filesize is at 80M. You can upload quite big files, but keep in mind to set your script timeouts accordingly.
post_max_sizegood80MYour post_max_size is at 80M. You can upload quite big files, but keep in mind to set your script timeouts accordingly.
fileinfogoodLoadedThe fileinfo extension is needed for the 'Validate uploaded file content' preference.
intlgoodLoadedintl extension will be needed in future versions of Tiki.
gduglybundled (2.1.0 compatible)The GD extension is loaded, and Tiki can create images, but the FreeType extension is needed for CAPTCHA text generation.
Image MagickgoodAvailableImageMagick is used as a fallback in case that GD is not available.
mbstringgoodLoadedThe mbstring extension is needed for an UTF-8 compatible lower case filter in the admin search for example.
calendargoodLoadedcalendar extension is needed by Tiki.
ctypegoodLoadedctype extension is needed by Tiki.
libxmlgoodLoadedThis extension is needed for WebDAV and the dom extension (see below).
domgoodLoadedThis extension is needed for many features such as:
bigbluebutton, machine translation, SCORM & meta-data in file galleries, wiki importers, custom search, Kaltura and others.
LDAPgoodLoadedThis extension is needed to connect your Tiki to an LDAP server. More info at: http://doc.tiki.org/LDAP
memcachegoodLoadedThis extension can be used to speed up your Tiki by saving sessions as well as wiki and forum data on a memcached server.
mcryptgoodLoadedEnable safe, encrypted storage of data, e.g. passwords.
eval()goodAvailableThe eval() function is required by the Smarty templating engine.
ZipArchive classgoodAvailableThe ZipArchive class is needed for features such as XML Wiki Import/Export and PluginArchiveBuilder.
DateTime classgoodAvailableThe DateTime class is needed for the WebDAV feature.

PHP security properties

upload_tmp_dirunknownCan't reliably determine, if your upload_tmp_dir is accessible via a web browser. To make sure you should check your webserver config.
register_globalsOffsaferegister_globals should be off by default. See the php manual for details.
execDisabledsafeExec can be potentially be used to execute arbitrary code on your server. Tiki does not need it, you are wise to have it disabled.
passthruDisabledsafePassthru is similar to exec. Tiki does not need it, you are wise to have it disabled.
shell_execEnabledriskyShell_exec is similar to exec. Tiki needs it to run PDF from URL: WebKit (wkhtmltopdf). If you need this and trust the other PHP software on your server, you should enable it.
systemDisabledsafeSystem is similar to exec. Tiki does not need it, you are wise to have it disabled.
proc_openDisabledsafeProc_open is similar to exec. Tiki does not need it, you are wise to have it disabled. However, Composer may need it (If you are running Tiki from SVN)
curl_execEnabledriskyCurl_exec can potentially be abused to write malicious code. Tiki needs it to run features like Kaltura, CAS login, CClite and the myspace and sf wiki-plugins. If you need these and trust the other PHP software on your server, you should enable it.
curl_multi_execEnabledriskyCurl_multi_exec can potentially be abused to write malicious code. Tiki needs it to run features like Kaltura, CAS login, CClite and the myspace and sf wiki-plugins. If you need these and trust the other PHP software on your server, you should enable it.
parse_ini_fileDisabledsafeIt is probably an urban myth that this is dangerous. Tiki team will reconsider this check, but be warned.
show_sourceDisabledsafeIt is probably an urban myth that this is dangerous. Tiki team will reconsider this check, but be warned.
session.use_trans_sidDisabledsafesession.use_trans_sid should be off by default. See the php manual for details.
xbithackDisabledsafesetting the xbithack option is unsafe. Depending on the file handling of your webserver and your tiki settings, it may be possible that an attacker can upload scripts to file gallery and execute them
allow_url_fopenEnabledriskyallow_url_fopen may potentially be used to upload remote data or scripts. Also used by Composer to fetch dependencies. If you dont use the blog feature, you can switch it off.

MySQL Variables

Nothing to display.

PHP Info

Append phpinfo();